Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.rules.model
Class RuleModel.ConditionsModel

    java.lang.Object
      com.bea.p13n.model.Model
          com.bea.p13n.model.XmlObjectModel
              com.bea.p13n.rules.model.ClauseModel
                  com.bea.p13n.rules.model.RuleModel.ConditionsModel

All Implemented Interfaces
  BoundVariableProvider, Serializable, Cloneable

Enclosing class:
  RuleModel

    public static class RuleModel.ConditionsModel

extends ClauseModel
implements BoundVariableProvider

A clause model to hold the condition clauses of the rule.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.p13n.model.Model
`Model.ChangeEvent, Model.ChangeListener, Model.ChangeSupport, Model.Debug`

Field Summary

Fields inherited from class com.bea.p13n.rules.model.ClauseModel
`clauseType`

Fields inherited from class com.bea.p13n.model.XmlObjectModel
`copyRootXmlObject, instanceUri, isComplete`

Fields inherited from class com.bea.p13n.model.Model
`childrenModels, docModel, parentModel, roChildrenModels`

Constructor Summary
`RuleModel.ConditionsModel()`

Method Summary
`void` | `addClauseModel(ClauseModel cm)` Add a clause model to the rule's conditions.
`void` | `clearCachedData()` Clear any cached data.
`boolean` | `containsClauseType(String clauseType)` Tell if the conditions contain at least one clause of the specified type.
`org.apache.xmlbeans.XmlObject` | `createNewXmlObject(String clauseType)` Create a new <conditions> object.
`protected boolean` | `determineIsComplete()` Determine if this is complete.
`Collection<MethodCallModel.VariableArgument>` | `getBoundVariables()` Return the bound variables form all BoundVariableProvider children clauses.
`ClauseModel[]` | `getClauseModels()` Get our ClauseModels, in order, as an array.
`com.bea.p13n.rules.schema.ConditionsDocument.Conditions` | `getConditions()` Get the <conditions> root object.
`protected com.bea.p13n.expression.schema.MultiConditionalOperator` | `getMultiConditionalOperator(boolean create)` Get the <muli-and> or <multi-or> first child
`PropertyContainer.JoinType` | `getOuterJoin()` Get the outer most condition boolean logic.
`boolean` | `removeClauseModel(ClauseModel cm)` Remove the specified clause from the rule's conditions.
`boolean` | `removeClauseModel(int index)` Remove the index'th ClausModel from the rule's conditions.
`protected void` | `resetRootXmlObject(org.apache.xmlbeans.XmlObject o)` Expose to things in this package.
`void` | `setIsComplete()` Override to have our children update their incomplete state.
`void` | `setOuterJoin(PropertyContainer.JoinType join)` Set the outer most condition boolean logic.
`void` | `setXmlObject(String clauseType, org.apache.xmlbeans.XmlObject clause)` Set the root xml object for this (<conditions>).

Methods inherited from class com.bea.p13n.rules.model.ClauseModel
`addBranch, addLiteral, addMethod, addMethodOrOperator, addOperator, addVariable, addVariableBinding, copy, getClauseType, getContainingRuleModel, getCopyXmlObject, initializeNew, isInActions, isInConditions, isValidTypeAlias, isValidVariableName, makeSafeCopy, toString`

Methods inherited from class com.bea.p13n.model.XmlObjectModel
`checkElement, childAdded, childRemoved, fixQName, getApplicationInstanceUri, getChild, getDocument, getLocalName, getParent, getQName, getRootXmlObject, isComplete, isNil, preRemove, propertyChanged, removeAllChildren, removeChild, setApplicationInstanceUri, setIsComplete, setParent, setRootXmlObject`

Methods inherited from class com.bea.p13n.model.Model
`addChangeListener, addChild, addChild, clone, doubleEquals, equals, getChildren, getDebug, getDebug, getDocument, getParent, longEquals, removeChangeListener, removeChild, removeChild, removeEmpties, setDocument`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RuleModel.ConditionsModel

    public RuleModel.ConditionsModel()

Method Detail

### setXmlObject

    public void setXmlObject(String clauseType,
                             org.apache.xmlbeans.XmlObject clause)

  Set the root xml object for this (<conditions>).

  Overrides:
    `setXmlObject` in class `ClauseModel`
  Parameters
    `clauseType` - the clause type of the clause.
    `clause` - the root xml object of the clause.

### resetRootXmlObject

    protected void resetRootXmlObject(org.apache.xmlbeans.XmlObject o)

  Description copied from class: `ClauseModel`
  Expose to things in this package.

### createNewXmlObject

    public org.apache.xmlbeans.XmlObject createNewXmlObject(String clauseType)

  Create a new <conditions> object.

  Specified by:
    `createNewXmlObject` in class `ClauseModel`
  Parameters
    `clauseType` - the clause type of the clause.
  Returns
    a new, empty initialize root object.

### clearCachedData

    public void clearCachedData()

  Clear any cached data.

  Specified by:
    `clearCachedData` in class `XmlObjectModel`

### getConditions

    public com.bea.p13n.rules.schema.ConditionsDocument.Conditions getConditions()

  Get the <conditions> root object.

### getMultiConditionalOperator

    protected com.bea.p13n.expression.schema.MultiConditionalOperator getMultiConditionalOperator(boolean create)

  Get the <muli-and> or <multi-or> first child

### getOuterJoin

    public PropertyContainer.JoinType getOuterJoin()

  Get the outer most condition boolean logic.

### setOuterJoin

    public void setOuterJoin(PropertyContainer.JoinType join)

  Set the outer most condition boolean logic.

### getClauseModels

    public ClauseModel[] getClauseModels()

  Get our ClauseModels, in order, as an array.

  See Also
    `Model.getChildren()`

### containsClauseType

    public boolean containsClauseType(String clauseType)

  Tell if the conditions contain at least one clause of the specified type.

### addClauseModel

    public void addClauseModel(ClauseModel cm)

  Add a clause model to the rule's conditions. This will not add the same child instance twice, but does not prevent adding multiple of the same type of clause.

### removeClauseModel

    public boolean removeClauseModel(ClauseModel cm)

  Remove the specified clause from the rule's conditions.

### removeClauseModel

    public boolean removeClauseModel(int index)

  Remove the index'th ClausModel from the rule's conditions.

### getBoundVariables

    public Collection<MethodCallModel.VariableArgument> getBoundVariables()

  Return the bound variables form all BoundVariableProvider children clauses.

  Specified by:
    `getBoundVariables` in interface `BoundVariableProvider`
  Returns
    the bound variable information, null or empty for none.

### setIsComplete

    public void setIsComplete()

  Override to have our children update their incomplete state.

  Overrides:
    `setIsComplete` in class `XmlObjectModel`
  See Also
    `XmlObjectModel.determineIsComplete()`

### determineIsComplete

    protected boolean determineIsComplete()

  Determine if this is complete.

  Overrides:
    `determineIsComplete` in class `XmlObjectModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.